summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 7c14068c2..a8ed74591 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -511,7 +511,9 @@ econf() {
fi
# EAPI=4 adds --disable-dependency-tracking to econf
- if ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
+ if ! hasq "$EAPI" 0 1 2 3 3_pre2 && \
+ "${ECONF_SOURCE}/configure" --help 2>/dev/null | \
+ grep -q disable-dependency-tracking ; then
set -- --disable-dependency-tracking "$@"
fi